
using Godot;
using System.Collections.Generic;

namespace Rokojori
{  
  public class RGGraphProcessor:RDGraphNode
  {
    protected List<RDGraphConnection> _connections = new List<RDGraphConnection>();

    public RGGraphProcessor( RDGraph graph ):base( graph ){}

    bool _initialized = false;

    public void Initialize()
    {
      if ( _initialized )
      {
        return;
      } 

      OnInitialize();
    }

    protected virtual void OnInitialize()
    {
      
    }

    public virtual void Process()
    {

    }
  }
}